Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.counter
Class CounterInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.varia.counter.CounterInterceptor

All Implemented Interfaces:
  org.jboss.ejb.AllowedOperationsFlags, org.jboss.ejb.ContainerPlugin, org.jboss.ejb.Interceptor, org.jboss.system.Service

public class CounterInterceptor
extends org.jboss.ejb.plugins.AbstractInterceptor

Interceptor that uses the CounterService MBean to record the length of time spent in 'lower' interceptors (below it in the stack).

How to use:

First, the CounterService MBean must be installed in JBoss. See counter-service.xml for details/examples.

Next, you need to configure this interceptor into the interceptor stacks of any beans you wish to monitor. This can be done either globally for a container-config in standardjboss.xml, or on a per-bean basis in a jar's jboss.jcml. Just insert the following at the top of the <container-interceptors> section. If you're overriding this for a bean in jboss.xml, you'll need to override the entire container-interceptors section.

`<interceptor>org.jboss.varia.counter.CounterInterceptor</interceptor>`

This can go anywhere in the container-interceptors section, but either the top or the bottom will probably be best for gathering application statistics.

Version:
  $Revision: 1.7 $
Author:
  Dan Christopherson

Field Summary

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`CounterInterceptor()`

Method Summary
`void` | `create()`
`org.jboss.ejb.Container` | `getContainer()`
`Object` | `invoke(org.jboss.invocation.Invocation mi)`
`Object` | `invokeHome(org.jboss.invocation.Invocation mi)`
`void` | `resetStatistic()`
`Map` | `retrieveStatistic()`
`void` | `sample(Object s)`
`void` | `setContainer(org.jboss.ejb.Container container)`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounterInterceptor

    public CounterInterceptor()

Method Detail

### setContainer

    public void setContainer(org.jboss.ejb.Container container)

### getContainer

    public org.jboss.ejb.Container getContainer()

### invokeHome

    public Object invokeHome(org.jboss.invocation.Invocation mi)
                      throws Exception

  Throws:
    `Exception`

### invoke

    public Object invoke(org.jboss.invocation.Invocation mi)
                  throws Exception

  Throws:
    `Exception`

### create

    public void create()
                throws Exception

  Throws:
    `Exception`

### sample

    public void sample(Object s)

### retrieveStatistic

    public Map retrieveStatistic()

### resetStatistic

    public void resetStatistic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.